abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
dnes 13:44 | Zajímavý článek

Glenn 'devalias' Grant publikoval na svém blogu příspěvek věnovaný reverznímu inženýrství USB. Příspěvek obsahuje celu řadu odkazů na potřebný software a hardware, jakož i odkazy na hackery věnující se reverznímu inženýrství a odkazy na další zajímavé články.

Ladislav Hagara | Komentářů: 0
dnes 12:11 | Nová verze

Byla vydána verze 10.8 a krátce na to opravná verze 10.8.1 open source alternativy GitHubu, tj. softwarového nástroje s webovým rozhraním umožňujícího spolupráci na zdrojových kódech, GitLab (Wikipedie). Představení nových vlastností i s náhledy v příspěvku na blogu.

Ladislav Hagara | Komentářů: 0
včera 10:44 | Komunita

Společně s openSUSE Conference 2018 probíhá dnes v Praze na Fakultě informačních technologií ČVUT jednodenní seminář CryptoFest 2018 (Twitter). Přednášky lze sledovat online na YouTube nebo na CCC.

Ladislav Hagara | Komentářů: 2
včera 02:22 | Komunita

Barton George, zakladatel a vedoucí projektu Sputnik, představil na svém blogu čtyři nové mobilní pracovní stanice Dell Precision s předinstalovaným Ubuntu. Jedná se o modely 3530, 5530, 7530 a 7730. Mobilní pracovní stanice budou certifikovány pro RHEL 7.5.

Ladislav Hagara | Komentářů: 10
včera 01:11 | Nová verze

Vyšla verze 5.12 prohlížeče map a GPS logů GPXSee. Nová verze přidává podporu Garmin JNX map a přináší mírné zlepšení výkonu/UX.

Martin Tůma | Komentářů: 0
25.5. 12:11 | Komunita

V Praze na Fakultě informačních technologií ČVUT probíhá openSUSE Conference 2018. Přednášky lze sledovat také online. Aktuální dění lze sledovat na Twitteru. Stisknutím zeleného tlačítka bylo dnes dopoledne vydáno openSUSE Leap 15.0.

Ladislav Hagara | Komentářů: 11
25.5. 11:44 | Komunita

Na Steamu probíhá do 28. května akce s názvem Spring Cleaning (Jarní úklid). V rámci akce lze hrát hry Don't Starve Together, Cities: Skylines, Tyranny, Borderlands 2, Middle-earth: Shadow of Mordor a Left 4 Dead 2 běžící na Linuxu zdarma [GamingOnLinux].

Ladislav Hagara | Komentářů: 2
24.5. 23:23 | Humor

Nová služba České pošty nazvaná Bezpečné úložiště nabízí až 100GB kapacitu pro "bezpečnou správu Vašich dat pod patronací důvěryhodného partnera Česká pošta".

… více »
Lol Phirae | Komentářů: 56
24.5. 22:14 | Bezpečnostní upozornění

Nova kritická hrozba VPNfilter bola zistená po dlhšiej spolupráce Talos s verejnými i súkromnými bezpečnostnými agentúrami. VPNfilter ohrozuje približne 500 000 zariadení v približne 54 krajinach. Zasiahnutí výrobcovia sú Linksys, MikroTik, NETGEAR, TP-Link (SOHO), QNAP (NAS). Správanie malwaru je nebezpečnej povahy, čo môže v určitých prípadoch spôsobiť škody veľkého rozsahu. Často tieto zariadenia sú na perimetri sieťe bez ochrany.

ewew | Komentářů: 5
24.5. 21:55 | Pozvánky

CSNOG (Czech and Slovak Network Operators Group), první československé setkání síťových operátorů, se uskuteční 11. a 12. června v Brně. Akce je určena poskytovatelům internetového připojení, síťovým operátorům, provozovatelům registrů, internetovým odborníkům a všem zájemcům o internetové a síťové technologie. Program je zaměřený na odborná, technická témata jako například síťová architektura, bezpečnost sítí, zpracování dat, DNS a další. Nutná je registrace.

Ladislav Hagara | Komentářů: 0
Používáte pro některé služby inetd?
 (35%)
 (23%)
 (42%)
Celkem 156 hlasů
 Komentářů: 5, poslední 22.5. 16:46
    Rozcestník

    Dotaz: instalace nokia_dku2 modulu v Ubuntu 9.04

    29.6.2009 07:32 Vlada
    instalace nokia_dku2 modulu v Ubuntu 9.04
    Přečteno: 191×

    Ahoj,

    nevím, ale furt mi něco uniká.

    Snažím se dostat modul nokia_dku2 do Ubuntu 9.04 pod linuxem s jádrem 2.6.28-13-generic a nejde mi to.

    Patch stahuju ze stránek gnokii: http://www.gnokii.org/docs.shtml#dku2

    a kompilaci modulu provádím například podle: http://www.cyberciti.biz/tips/compiling-linux-kernel-module.html

    A vždy mi to skončí s chybou.

    Pro Makefile:

    $ cat Makefile
    obj-m = hello.o
    KVERSION = $(shell uname -r)
    all:
        make -C /lib/modules/$(KVERSION)/build M=$(PWD) modules
    clean:
        make -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

    je to chyba:

    $ sudo make
    make -C /lib/modules/2.6.28-13-generic/build M= modules
    make[1]: Entering directory `/usr/src/linux-headers-2.6.28-13-generic'
      CHK     include/linux/version.h
      CHK     include/linux/utsrelease.h
      SYMLINK include/asm -> include/asm-x86
    make[2]: *** No rule to make target `kernel/bounds.c', needed by `kernel/bounds.s'.  Stop.
    make[1]: *** [prepare0] Error 2
    make[1]: Leaving directory `/usr/src/linux-headers-2.6.28-13-generic'
    make: *** [all] Error 2

     

    Pro Makefile:

    $ cat Makefile
    obj-m = hello.o
    KVERSION = $(shell uname -r)
    PWD = $(shell pwd)
    all:
        make -C /lib/modules/$(KVERSION)/build M=$(PWD) modules
    clean:
        make -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

    je to chyba:

    $ sudo make
    make -C /lib/modules/2.6.28-13-generic/build M=/usr/src/hello/demo modules
    make[1]: Entering directory `/usr/src/linux-headers-2.6.28-13-generic'
      CC [M]  /usr/src/hello/demo/hello.o
    /usr/src/hello/demo/hello.c:1: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘<’ token
    In file included from include/linux/kernel.h:10,
                     from /usr/src/hello/demo/hello.c:2:
    /usr/lib/gcc/i486-linux-gnu/4.3.3/include/stdarg.h:105: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘va_list’
    In file included from /usr/src/hello/demo/hello.c:2:
    include/linux/kernel.h:165: error: expected declaration specifiers or ‘...’ before ‘va_list’
    include/linux/kernel.h:169: error: expected declaration specifiers or ‘...’ before ‘va_list’
    include/linux/kernel.h:173: error: expected declaration specifiers or ‘...’ before ‘va_list’
    include/linux/kernel.h:177: error: expected declaration specifiers or ‘...’ before ‘va_list’
    include/linux/kernel.h:181: error: expected declaration specifiers or ‘...’ before ‘va_list’
    include/linux/kernel.h:219: error: expected declaration specifiers or ‘...’ before ‘va_list’
    make[2]: *** [/usr/src/hello/demo/hello.o] Error 1
    make[1]: *** [_module_/usr/src/hello/demo] Error 2
    make[1]: Leaving directory `/usr/src/linux-headers-2.6.28-13-generic'
    make: *** [all] Error 2

    !! Nevíte někdo co dělám špatně ?!!

    Díky za jakoukoli odpověď

    Odpovědi

    =^..^= AmigaPower® avatar 29.6.2009 11:11 =^..^= AmigaPower® | skóre: 30 | blog: BLB | Praha
    Rozbalit Rozbalit vše Re: instalace nokia_dku2 modulu v Ubuntu 9.04
    ...a co práva???
    29.6.2009 11:25 Vlada
    Rozbalit Rozbalit vše Re: instalace nokia_dku2 modulu v Ubuntu 9.04

    Ahoj,

    díky z aodpověd. Jo to jsem zapomel přidat.

    Práva jsem kontroloval a nastavil podle postupu wiki.gnokii.org/index.php/DKU2

    Problém je stále stejný. Jakmile připojím mobil objeví se mi nové zařízení jako /dev/ttyACM0 ale dku2 se mi neobjeví to by měli být /dev/ttyUSB0 a /dev/ttyUSB1. Na na zařízení /dev/ttyACM0 práva mám a můžu si nastavit jaký chci.

    Díky za další pomoc.

    =^..^= AmigaPower® avatar 29.6.2009 11:37 =^..^= AmigaPower® | skóre: 30 | blog: BLB | Praha
    Rozbalit Rozbalit vše Re: instalace nokia_dku2 modulu v Ubuntu 9.04
    Já do toho až tak hluboko nevidim, střelil jsem to protože vím že na ubuntu je to s těma právama takový "všelijaký". Nedávno jsem řešil kameru (v MDV) a místo očekávaného /dev/video0 jsem jí měl v /dev/v4l/video0, nemůže to být podobná blbůstka?
    29.6.2009 11:43 Vlada
    Rozbalit Rozbalit vše Re: instalace nokia_dku2 modulu v Ubuntu 9.04

    No právě že může. jak jsem z googlo vyčetl, tak to že se mi to zobrazuje jako ACM0 je kvůli modulu cdc_acm který je zaveden v jádře linux. Modul nokia_dku2, který má mnohem líp podporovat ten můj mobil tam ale zaveden není a právě proto se ho snažím zkompilovat, ale nedaří se mi to. Ono se mi vůbec nedaří ani zkompilovat ten příklad

    Example: hello.c module

    Hlásí mi stejné chyby. Takže to že mi to nejde zkompilovat je problém u mě a u mém linux a ne v tom patchi pro nokia_dku2. Tj nevíš nebo někdo nevíte jak správně zkompilovat nový modul do jádra na Ubuntu 9.04?

    Tenhle příklad www.cyberciti.biz/tips/compiling-linux-kernel-module.html mi hlásí chyby které jsem popsal na začátku.

    =^..^= AmigaPower® avatar 29.6.2009 11:48 =^..^= AmigaPower® | skóre: 30 | blog: BLB | Praha
    Rozbalit Rozbalit vše Re: instalace nokia_dku2 modulu v Ubuntu 9.04
    Tak v tom ti bohužel neporadim, naštěstí je tu ale hejno schopnějších lidí než jsem já ;-)
    29.6.2009 11:56 Vlada
    Rozbalit Rozbalit vše Re: instalace nokia_dku2 modulu v Ubuntu 9.04

    Zatím díky za snahu, doufejme že se někdo přihlásí ...

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.